net.sf.jasperreports.engine.analytics.dataset

## Class DesignMultiAxisData

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.dataset.BaseMultiAxisData
  - - net.sf.jasperreports.engine.analytics.dataset.DesignMultiAxisData

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, MultiAxisData, JRChangeEventsSupport, JRCloneable

      public class DesignMultiAxisData
      extends BaseMultiAxisData
      implements JRChangeEventsSupport

  Version:
    $Id: DesignMultiAxisData.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_AXIS_LIST`
    `static java.lang.String` | `PROPERTY_DATASET`
    `static java.lang.String` | `PROPERTY_MEASURES`

    - ### Fields inherited from class net.sf.jasperreports.engine.analytics.dataset.BaseMultiAxisData

      `dataset, measures`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DesignMultiAxisData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDataAxis(DataAxis axis)`
    `void` | `addMeasure(DataMeasure measure)`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `removeDataAxis(DataAxis axis)`
    `void` | `removeMeasure(DataMeasure measure)`
    `void` | `setDataset(MultiAxisDataset dataset)`

    - ### Methods inherited from class net.sf.jasperreports.engine.analytics.dataset.BaseMultiAxisData

      `clone, getDataAxis, getDataAxisList, getDataset, getMeasures, removeDataAxis`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_DATASET

          public static final java.lang.String PROPERTY_DATASET

      See Also:
        Constant Field Values

    - #### PROPERTY_AXIS_LIST

          public static final java.lang.String PROPERTY_AXIS_LIST

      See Also:
        Constant Field Values

    - #### PROPERTY_MEASURES

          public static final java.lang.String PROPERTY_MEASURES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DesignMultiAxisData

          public DesignMultiAxisData()

  - ### Method Detail

    - #### setDataset

          public void setDataset(MultiAxisDataset dataset)

    - #### addDataAxis

          public void addDataAxis(DataAxis axis)

      Overrides:
        `addDataAxis` in class `BaseMultiAxisData`

    - #### removeDataAxis

          public void removeDataAxis(DataAxis axis)

    - #### addMeasure

          public void addMeasure(DataMeasure measure)

    - #### removeMeasure

          public void removeMeasure(DataMeasure measure)

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com